Index: /code/branches/objecthierarchy/src/network/ChatListener.cc
===================================================================
--- /code/branches/objecthierarchy/src/network/ChatListener.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/ChatListener.cc	(revision 2112)
@@ -32,5 +32,5 @@
 #include "core/Core.h"
 
-namespace network
+namespace orxonox
 {
     ChatListener::ChatListener()
Index: /code/branches/objecthierarchy/src/network/ChatListener.h
===================================================================
--- /code/branches/objecthierarchy/src/network/ChatListener.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/ChatListener.h	(revision 2112)
@@ -35,7 +35,7 @@
 #include "core/OrxonoxClass.h"
 
-namespace network
+namespace orxonox
 {
-    class _NetworkExport ChatListener : virtual public orxonox::OrxonoxClass
+    class _NetworkExport ChatListener : virtual public OrxonoxClass
     {
         public:
Index: /code/branches/objecthierarchy/src/network/Client.cc
===================================================================
--- /code/branches/objecthierarchy/src/network/Client.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/Client.cc	(revision 2112)
@@ -49,5 +49,5 @@
 // #include "packet/Acknowledgement.h"
 
-namespace network
+namespace orxonox
 {
 //   SetConsoleCommandShortcut(Client, chat);
Index: /code/branches/objecthierarchy/src/network/Client.h
===================================================================
--- /code/branches/objecthierarchy/src/network/Client.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/Client.h	(revision 2112)
@@ -54,8 +54,8 @@
 
 
-namespace network
+namespace orxonox
 {
   /**
-  network::Client *client;
+  Client *client;
   * The network/Client class
   * This class implements all necessary function for the network communication
Index: /code/branches/objecthierarchy/src/network/ClientConnection.cc
===================================================================
--- /code/branches/objecthierarchy/src/network/ClientConnection.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/ClientConnection.cc	(revision 2112)
@@ -48,5 +48,5 @@
 #include "util/Debug.h"
 
-namespace network
+namespace orxonox
 {
   //static boost::thread_group network_threads;
@@ -72,5 +72,5 @@
   bool ClientConnection::waitEstablished(int milisec) {
     for(int i=0; i<=milisec && !established; i++)
-      orxonox::msleep(1);
+      msleep(1);
 
     return established;
@@ -184,5 +184,5 @@
       case ENET_EVENT_TYPE_NONE:
         //receiverThread_->yield();
-        orxonox::msleep(1);
+        msleep(1);
         break;
       }
Index: /code/branches/objecthierarchy/src/network/ClientConnection.h
===================================================================
--- /code/branches/objecthierarchy/src/network/ClientConnection.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/ClientConnection.h	(revision 2112)
@@ -50,5 +50,5 @@
 namespace boost { class thread; }
 
-namespace network
+namespace orxonox
 {
 
Index: /code/branches/objecthierarchy/src/network/ClientConnectionListener.cc
===================================================================
--- /code/branches/objecthierarchy/src/network/ClientConnectionListener.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/ClientConnectionListener.cc	(revision 2112)
@@ -3,5 +3,5 @@
 #include "core/Core.h"
 
-namespace network{
+namespace orxonox{
 
   ClientConnectionListener::ClientConnectionListener()
@@ -11,5 +11,5 @@
 
   void ClientConnectionListener::getConnectedClients(){
-    if(orxonox::Core::showsGraphics())
+    if(Core::showsGraphics())
       this->clientConnected(0); //server client id
     ClientInformation *client = ClientInformation::getBegin();
Index: /code/branches/objecthierarchy/src/network/ClientConnectionListener.h
===================================================================
--- /code/branches/objecthierarchy/src/network/ClientConnectionListener.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/ClientConnectionListener.h	(revision 2112)
@@ -6,7 +6,7 @@
 #include "core/OrxonoxClass.h"
 
-namespace network{
+namespace orxonox{
 
-  class _NetworkExport ClientConnectionListener : virtual public orxonox::OrxonoxClass
+  class _NetworkExport ClientConnectionListener : virtual public OrxonoxClass
   {
     friend class Server;
Index: /code/branches/objecthierarchy/src/network/ClientInformation.cc
===================================================================
--- /code/branches/objecthierarchy/src/network/ClientInformation.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/ClientInformation.cc	(revision 2112)
@@ -43,5 +43,5 @@
 #include <iostream> //debug
 
-namespace network
+namespace orxonox
 {
 
Index: /code/branches/objecthierarchy/src/network/ClientInformation.h
===================================================================
--- /code/branches/objecthierarchy/src/network/ClientInformation.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/ClientInformation.h	(revision 2112)
@@ -48,5 +48,5 @@
 // WATCH OUT: THE CLIENTINFORMATION LIST IS NOT THREADSAFE ANYMORE
 
-namespace network
+namespace orxonox
 {
   static const unsigned int GAMESTATEID_INITIAL = (unsigned int)-1;
Index: /code/branches/objecthierarchy/src/network/ConnectionManager.cc
===================================================================
--- /code/branches/objecthierarchy/src/network/ConnectionManager.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/ConnectionManager.cc	(revision 2112)
@@ -65,5 +65,5 @@
 }
 
-namespace network
+namespace orxonox
 {
   //boost::thread_group network_threads;
@@ -227,5 +227,5 @@
         case ENET_EVENT_TYPE_NONE:
           //receiverThread_->yield();
-          orxonox::msleep(1);
+          msleep(1);
           break;
       }
@@ -306,7 +306,7 @@
     unsigned int network_id=0, failures=0;
     std::string classname;
-    orxonox::Identifier *id;
-    std::map<std::string, orxonox::Identifier*>::const_iterator it = orxonox::Factory::getFactoryMapBegin();
-    while(it != orxonox::Factory::getFactoryMapEnd()){
+    Identifier *id;
+    std::map<std::string, Identifier*>::const_iterator it = Factory::getFactoryMapBegin();
+    while(it != Factory::getFactoryMapEnd()){
       id = (*it).second;
       if(id == NULL)
Index: /code/branches/objecthierarchy/src/network/ConnectionManager.h
===================================================================
--- /code/branches/objecthierarchy/src/network/ConnectionManager.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/ConnectionManager.h	(revision 2112)
@@ -59,5 +59,5 @@
 }
 
-namespace network
+namespace orxonox
 {
     const int NETWORK_PORT = 55556;
Index: /code/branches/objecthierarchy/src/network/GamestateClient.cc
===================================================================
--- /code/branches/objecthierarchy/src/network/GamestateClient.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/GamestateClient.cc	(revision 2112)
@@ -39,5 +39,5 @@
 
 
-namespace network
+namespace orxonox
 {
   struct _NetworkExport GameStateItem{
@@ -94,6 +94,6 @@
   * @return iterator pointing to the next object in the list
   */
-  void GamestateClient::removeObject(orxonox::ObjectList<Synchronisable>::iterator &it) {
-    orxonox::ObjectList<Synchronisable>::iterator temp=it;
+  void GamestateClient::removeObject(ObjectList<Synchronisable>::iterator &it) {
+    ObjectList<Synchronisable>::iterator temp=it;
     ++it;
     delete  *temp;
Index: /code/branches/objecthierarchy/src/network/GamestateClient.h
===================================================================
--- /code/branches/objecthierarchy/src/network/GamestateClient.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/GamestateClient.h	(revision 2112)
@@ -50,5 +50,5 @@
 const unsigned int GAMESTATEID_INITIAL = (unsigned int)-1;
 
-namespace network
+namespace orxonox
 {
   class _NetworkExport GamestateClient: public GamestateHandler
@@ -66,5 +66,5 @@
   private:
     packet::Gamestate *processGamestate(packet::Gamestate *gs);
-    void removeObject(orxonox::ObjectListIterator<Synchronisable> &it);
+    void removeObject(ObjectListIterator<Synchronisable> &it);
     void printGamestateMap();
     bool sendAck(unsigned int gamestateID);
Index: /code/branches/objecthierarchy/src/network/GamestateHandler.cc
===================================================================
--- /code/branches/objecthierarchy/src/network/GamestateHandler.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/GamestateHandler.cc	(revision 2112)
@@ -4,5 +4,5 @@
 #include "packet/Packet.h"
 
-namespace network {
+namespace orxonox {
 
 GamestateHandler *GamestateHandler::instance_=0;
@@ -22,3 +22,3 @@
 
 
-}//namespace network
+}//namespace orxonox
Index: /code/branches/objecthierarchy/src/network/GamestateHandler.h
===================================================================
--- /code/branches/objecthierarchy/src/network/GamestateHandler.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/GamestateHandler.h	(revision 2112)
@@ -34,5 +34,5 @@
 #include "packet/Chat.h"
 
-namespace network {
+namespace orxonox {
 
 /**
Index: /code/branches/objecthierarchy/src/network/GamestateManager.cc
===================================================================
--- /code/branches/objecthierarchy/src/network/GamestateManager.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/GamestateManager.cc	(revision 2112)
@@ -51,5 +51,5 @@
 #include "Synchronisable.h"
 
-namespace network
+namespace orxonox
 {
   GamestateManager::GamestateManager() {
Index: /code/branches/objecthierarchy/src/network/GamestateManager.h
===================================================================
--- /code/branches/objecthierarchy/src/network/GamestateManager.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/GamestateManager.h	(revision 2112)
@@ -47,5 +47,5 @@
 #include "packet/Gamestate.h"
 
-namespace network
+namespace orxonox
 {
 
Index: /code/branches/objecthierarchy/src/network/Host.cc
===================================================================
--- /code/branches/objecthierarchy/src/network/Host.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/Host.cc	(revision 2112)
@@ -34,5 +34,5 @@
 #include "ChatListener.h"
 
-namespace network {
+namespace orxonox {
 
 SetConsoleCommandShortcut(Host, Chat);
@@ -80,5 +80,5 @@
 // }
 
-// bool Host::receiveChat(network::packet::Chat *message, unsigned int clientID){
+// bool Host::receiveChat(packet::Chat *message, unsigned int clientID){
 //   if(instance_)
 //     return instance_->processChat(message, clientID);
@@ -110,5 +110,5 @@
 
 bool Host::incomingChat(const std::string& message, unsigned int playerID){
-  for (orxonox::ObjectList<ChatListener>::iterator it = orxonox::ObjectList<ChatListener>::begin(); it != orxonox::ObjectList<ChatListener>::end(); ++it)
+  for (ObjectList<ChatListener>::iterator it = ObjectList<ChatListener>::begin(); it != ObjectList<ChatListener>::end(); ++it)
     it->incomingChat(message, playerID);
 
@@ -116,3 +116,3 @@
 }
 
-}//namespace network
+}//namespace orxonox
Index: /code/branches/objecthierarchy/src/network/Host.h
===================================================================
--- /code/branches/objecthierarchy/src/network/Host.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/Host.h	(revision 2112)
@@ -34,5 +34,5 @@
 #include "packet/Chat.h"
 
-namespace network {
+namespace orxonox {
 
 /**
Index: /code/branches/objecthierarchy/src/network/NetworkCallback.h
===================================================================
--- /code/branches/objecthierarchy/src/network/NetworkCallback.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/NetworkCallback.h	(revision 2112)
@@ -4,5 +4,5 @@
 #include "NetworkPrereqs.h"
 
-namespace network{
+namespace orxonox{
   class _NetworkExport NetworkCallbackBase
   {
Index: /code/branches/objecthierarchy/src/network/NetworkPrereqs.h
===================================================================
--- /code/branches/objecthierarchy/src/network/NetworkPrereqs.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/NetworkPrereqs.h	(revision 2112)
@@ -59,5 +59,5 @@
 // Forward declarations
 //-----------------------------------------------------------------------
-namespace network
+namespace orxonox
 {
   class Client;
Index: /code/branches/objecthierarchy/src/network/PacketBuffer.cc
===================================================================
--- /code/branches/objecthierarchy/src/network/PacketBuffer.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/PacketBuffer.cc	(revision 2112)
@@ -39,5 +39,5 @@
 #include <boost/thread/mutex.hpp>
 
-namespace network
+namespace orxonox
 {
    boost::recursive_mutex PacketBuffer::mutex_;
@@ -147,3 +147,3 @@
   }
 
-} // namespace network
+} // namespace orxonox
Index: /code/branches/objecthierarchy/src/network/PacketBuffer.h
===================================================================
--- /code/branches/objecthierarchy/src/network/PacketBuffer.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/PacketBuffer.h	(revision 2112)
@@ -47,5 +47,5 @@
 #include <boost/thread/recursive_mutex.hpp>
 
-namespace network
+namespace orxonox
 {
   struct _NetworkExport PacketEnvelope{
Index: /code/branches/objecthierarchy/src/network/Server.cc
===================================================================
--- /code/branches/objecthierarchy/src/network/Server.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/Server.cc	(revision 2112)
@@ -60,5 +60,5 @@
 #include "ChatListener.h"
 
-namespace network
+namespace orxonox
 {
   const unsigned int MAX_FAILURES = 20;
@@ -317,5 +317,5 @@
 
     // inform all the listeners
-    orxonox::ObjectList<ClientConnectionListener>::iterator listener = orxonox::ObjectList<ClientConnectionListener>::begin();
+    ObjectList<ClientConnectionListener>::iterator listener = ObjectList<ClientConnectionListener>::begin();
     while(listener){
       listener->clientConnected(newid);
@@ -366,5 +366,5 @@
 
 // inform all the listeners
-    orxonox::ObjectList<ClientConnectionListener>::iterator listener = orxonox::ObjectList<ClientConnectionListener>::begin();
+    ObjectList<ClientConnectionListener>::iterator listener = ObjectList<ClientConnectionListener>::begin();
     while(listener){
       listener->clientDisconnected(client->getID());
@@ -404,5 +404,5 @@
     }
 //    COUT(1) << "Player " << Host::getPlayerID() << ": " << message << std::endl;
-    for (orxonox::ObjectList<ChatListener>::iterator it = orxonox::ObjectList<ChatListener>::begin(); it != orxonox::ObjectList<ChatListener>::end(); ++it)
+    for (ObjectList<ChatListener>::iterator it = ObjectList<ChatListener>::begin(); it != ObjectList<ChatListener>::end(); ++it)
       it->incomingChat(message, clientID);
 
Index: /code/branches/objecthierarchy/src/network/Server.h
===================================================================
--- /code/branches/objecthierarchy/src/network/Server.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/Server.h	(revision 2112)
@@ -49,5 +49,5 @@
 #include "GamestateManager.h"
 
-namespace network
+namespace orxonox
 {
   const int CLIENTID_SERVER = 0;
Index: /code/branches/objecthierarchy/src/network/Synchronisable.cc
===================================================================
--- /code/branches/objecthierarchy/src/network/Synchronisable.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/Synchronisable.cc	(revision 2112)
@@ -50,5 +50,5 @@
 // #include "core/Identifier.h"
 
-namespace network
+namespace orxonox
 {
 
@@ -63,5 +63,5 @@
   * Initializes all Variables and sets the right objectID
   */
-  Synchronisable::Synchronisable(orxonox::BaseObject* creator){
+  Synchronisable::Synchronisable(BaseObject* creator){
     RegisterRootObject(Synchronisable);
     static uint32_t idCounter=0;
@@ -96,5 +96,5 @@
   Synchronisable::~Synchronisable(){
     // delete callback function objects
-    if(!orxonox::Identifier::isCreatingHierarchy()){
+    if(!Identifier::isCreatingHierarchy()){
       for(std::list<synchronisableVariable *>::iterator it = syncList->begin(); it!=syncList->end(); it++)
         delete (*it)->callback;
@@ -155,7 +155,7 @@
     COUT(4) << "fabricating object with id: " << header->objectID << std::endl;
 
-    orxonox::Identifier* id = ClassByID(header->classID);
+    Identifier* id = ClassByID(header->classID);
     assert(id);
-    orxonox::BaseObject* creator = 0;
+    BaseObject* creator = 0;
     if (header->creatorID != OBJECTID_UNKNOWN)
     {
@@ -167,7 +167,7 @@
       }
       else
-        creator = dynamic_cast<orxonox::BaseObject*>(synchronisable_creator);
-    }
-    orxonox::BaseObject *bo = id->fabricate(creator);
+        creator = dynamic_cast<BaseObject*>(synchronisable_creator);
+    }
+    BaseObject *bo = id->fabricate(creator);
     assert(bo);
     Synchronisable *no = dynamic_cast<Synchronisable *>(bo);
@@ -214,6 +214,6 @@
    */
   Synchronisable* Synchronisable::getSynchronisable(unsigned int objectID){
-    orxonox::ObjectList<Synchronisable>::iterator it;
-    for(it = orxonox::ObjectList<Synchronisable>::begin(); it; ++it){
+    ObjectList<Synchronisable>::iterator it;
+    for(it = ObjectList<Synchronisable>::begin(); it; ++it){
       if( it->getObjectID()==objectID )
            return *it;
@@ -234,5 +234,5 @@
   * @param var pointer to the variable
   * @param size size of the datatype the variable consists of
-  * @param t the type of the variable (network::DATA or network::STRING
+  * @param t the type of the variable (DATA or STRING
   * @param mode same as in getData
   * @param cb callback object that should get called, if the value of the variable changes
Index: /code/branches/objecthierarchy/src/network/Synchronisable.h
===================================================================
--- /code/branches/objecthierarchy/src/network/Synchronisable.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/Synchronisable.h	(revision 2112)
@@ -42,9 +42,9 @@
 
 #define REGISTERDATA(varname, ...) \
-    registerVar((void*)&varname, sizeof(varname), network::DATA, __VA_ARGS__)
+    registerVar((void*)&varname, sizeof(varname), DATA, __VA_ARGS__)
 #define REGISTERSTRING(stringname, ...) \
-    registerVar(&stringname, stringname.length()+1, network::STRING, __VA_ARGS__)
+    registerVar(&stringname, stringname.length()+1, STRING, __VA_ARGS__)
 
-namespace network
+namespace orxonox
 {
   static const unsigned int OBJECTID_UNKNOWN = (unsigned int)-1;
@@ -95,5 +95,5 @@
   * @author Oliver Scheuss
   */
-  class _NetworkExport Synchronisable : virtual public orxonox::OrxonoxClass{
+  class _NetworkExport Synchronisable : virtual public OrxonoxClass{
   public:
     friend class packet::Gamestate;
@@ -115,5 +115,5 @@
     inline unsigned int getClassID(){return classID;}
   protected:
-    Synchronisable(orxonox::BaseObject* creator);
+    Synchronisable(BaseObject* creator);
     void registerVar(void *var, int size, variableType t, int mode=1, NetworkCallbackBase *cb=0);
     void setObjectMode(int mode);
Index: /code/branches/objecthierarchy/src/network/packet/Acknowledgement.cc
===================================================================
--- /code/branches/objecthierarchy/src/network/packet/Acknowledgement.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/packet/Acknowledgement.cc	(revision 2112)
@@ -33,10 +33,10 @@
 #include "core/CoreIncludes.h"
 
-namespace network {
+namespace orxonox {
 namespace packet {
 
 #define PACKET_FLAGS_ACK    0
 #define _PACKETID           0
-#define _ACKID              _PACKETID + sizeof(network::packet::ENUM::Type)
+#define _ACKID              _PACKETID + sizeof(packet::ENUM::Type)
   
 Acknowledgement::Acknowledgement( unsigned int id, unsigned int clientID )
@@ -74,3 +74,3 @@
 
 } //namespace packet
-} //namespace network
+} //namespace orxonox
Index: /code/branches/objecthierarchy/src/network/packet/Acknowledgement.h
===================================================================
--- /code/branches/objecthierarchy/src/network/packet/Acknowledgement.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/packet/Acknowledgement.h	(revision 2112)
@@ -33,5 +33,5 @@
 
 
-namespace network {
+namespace orxonox {
 namespace packet {
 /**
@@ -53,5 +53,5 @@
 
 } //namespace packet
-} //namespace network
+} //namespace orxonox
 
 #endif
Index: /code/branches/objecthierarchy/src/network/packet/Chat.cc
===================================================================
--- /code/branches/objecthierarchy/src/network/packet/Chat.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/packet/Chat.cc	(revision 2112)
@@ -31,5 +31,5 @@
 #include "network/Host.h"
 
-namespace network {
+namespace orxonox {
 namespace packet {
   
@@ -77,3 +77,3 @@
 
 } //namespace packet
-} //namespace network
+} //namespace orxonox
Index: /code/branches/objecthierarchy/src/network/packet/Chat.h
===================================================================
--- /code/branches/objecthierarchy/src/network/packet/Chat.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/packet/Chat.h	(revision 2112)
@@ -10,5 +10,5 @@
 #include "Packet.h"
 
-namespace network {
+namespace orxonox {
 namespace packet {
 /**
@@ -33,5 +33,5 @@
 
 } //namespace packet
-} //namespace network
+} //namespace orxonox
 
 #endif
Index: /code/branches/objecthierarchy/src/network/packet/ClassID.cc
===================================================================
--- /code/branches/objecthierarchy/src/network/packet/ClassID.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/packet/ClassID.cc	(revision 2112)
@@ -34,5 +34,5 @@
 #include <assert.h>
 
-namespace network {
+namespace orxonox {
 namespace packet {
 
@@ -68,10 +68,10 @@
 
 unsigned int ClassID::getSize() const{
-  return sizeof(network::packet::ENUM::Type) + 2*sizeof(uint32_t) + classNameLength_;
+  return sizeof(packet::ENUM::Type) + 2*sizeof(uint32_t) + classNameLength_;
 }
 
 bool ClassID::process(){
   COUT(3) << "processing classid: " << getClassID() << " name: " << (const char*)(data_+_CLASSNAME) << std::endl;
-  orxonox::Identifier *id=ClassByID( std::string((const char*)(data_+_CLASSNAME) ));
+  Identifier *id=ClassByID( std::string((const char*)(data_+_CLASSNAME) ));
   if(id==NULL)
     return false;
@@ -86,3 +86,3 @@
 
 } //namespace packet
-}//namespace network
+}//namespace orxonox
Index: /code/branches/objecthierarchy/src/network/packet/ClassID.h
===================================================================
--- /code/branches/objecthierarchy/src/network/packet/ClassID.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/packet/ClassID.h	(revision 2112)
@@ -35,5 +35,5 @@
 #include "Packet.h"
 
-namespace network {
+namespace orxonox {
 namespace packet {
 
@@ -59,5 +59,5 @@
 
 } //namespace packet
-} //namespace network
+} //namespace orxonox
 
 #endif
Index: /code/branches/objecthierarchy/src/network/packet/DeleteObjects.cc
===================================================================
--- /code/branches/objecthierarchy/src/network/packet/DeleteObjects.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/packet/DeleteObjects.cc	(revision 2112)
@@ -34,5 +34,5 @@
 #include <assert.h>
 
-namespace network {
+namespace orxonox {
 namespace packet {
 
@@ -95,3 +95,3 @@
 
 } //namespace packet
-} //namespace network
+} //namespace orxonox
Index: /code/branches/objecthierarchy/src/network/packet/DeleteObjects.h
===================================================================
--- /code/branches/objecthierarchy/src/network/packet/DeleteObjects.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/packet/DeleteObjects.h	(revision 2112)
@@ -34,5 +34,5 @@
 
 
-namespace network {
+namespace orxonox {
 namespace packet {
 /**
@@ -55,5 +55,5 @@
 
 } //namespace packet
-} //namespace network
+} //namespace orxonox
 
 #endif
Index: /code/branches/objecthierarchy/src/network/packet/Gamestate.cc
===================================================================
--- /code/branches/objecthierarchy/src/network/packet/Gamestate.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/packet/Gamestate.cc	(revision 2112)
@@ -38,5 +38,5 @@
 
 
-namespace network {
+namespace orxonox {
 
 namespace packet {
@@ -93,6 +93,6 @@
   uint8_t *mem=data_;
   mem+=sizeof(GamestateHeader);
-  orxonox::ObjectList<Synchronisable>::iterator it;
-  for(it = orxonox::ObjectList<Synchronisable>::begin(); it; ++it){
+  ObjectList<Synchronisable>::iterator it;
+  for(it = ObjectList<Synchronisable>::begin(); it; ++it){
     tempsize=it->getSize(id, mode);
 
@@ -100,5 +100,5 @@
       // start allocate additional memory
       COUT(3) << "G.St.Man: need additional memory" << std::endl;
-      orxonox::ObjectList<Synchronisable>::iterator temp = it;
+      ObjectList<Synchronisable>::iterator temp = it;
       int addsize=tempsize;
       while(++temp)
@@ -147,5 +147,5 @@
   uint8_t *mem=data_+sizeof(GamestateHeader);
     // get the start of the Synchronisable list
-  //orxonox::ObjectList<Synchronisable>::iterator it=orxonox::ObjectList<Synchronisable>::begin();
+  //ObjectList<Synchronisable>::iterator it=ObjectList<Synchronisable>::begin();
   Synchronisable *s;
 
@@ -244,5 +244,5 @@
   //copy and modify header
 #ifndef NDEBUG
-  HEADER->crc32 = orxonox::calcCRC(data_+sizeof(GamestateHeader), HEADER->datasize);
+  HEADER->crc32 = calcCRC(data_+sizeof(GamestateHeader), HEADER->datasize);
 #endif
   *GAMESTATE_HEADER(ndata) = *HEADER;
@@ -281,5 +281,5 @@
   }
 #ifndef NDEBUG
-  assert(HEADER->crc32==orxonox::calcCRC(ndata+sizeof(GamestateHeader), HEADER->datasize));
+  assert(HEADER->crc32==calcCRC(ndata+sizeof(GamestateHeader), HEADER->datasize));
 #endif
 
@@ -569,7 +569,7 @@
   int size=0;
     // get the start of the Synchronisable list
-  orxonox::ObjectList<Synchronisable>::iterator it;
+  ObjectList<Synchronisable>::iterator it;
     // get total size of gamestate
-  for(it = orxonox::ObjectList<Synchronisable>::begin(); it; ++it)
+  for(it = ObjectList<Synchronisable>::begin(); it; ++it)
     size+=it->getSize(id, mode); // size of the actual data of the synchronisable
 //  size+=sizeof(GamestateHeader);
@@ -582,6 +582,6 @@
  * @return iterator pointing to the next object in the list
  */
-  void Gamestate::removeObject(orxonox::ObjectList<Synchronisable>::iterator &it) {
-    orxonox::ObjectList<Synchronisable>::iterator temp=it;
+  void Gamestate::removeObject(ObjectList<Synchronisable>::iterator &it) {
+    ObjectList<Synchronisable>::iterator temp=it;
     ++it;
     delete  *temp;
Index: /code/branches/objecthierarchy/src/network/packet/Gamestate.h
===================================================================
--- /code/branches/objecthierarchy/src/network/packet/Gamestate.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/packet/Gamestate.h	(revision 2112)
@@ -40,5 +40,5 @@
 #endif
 
-namespace network {
+namespace orxonox {
 
 namespace packet {
@@ -91,5 +91,5 @@
   private:
     unsigned int calcGamestateSize(unsigned int id, int mode=0x0);
-    void removeObject(orxonox::ObjectListIterator<Synchronisable> &it);
+    void removeObject(ObjectListIterator<Synchronisable> &it);
     std::map<unsigned int, Synchronisable*> dataMap_;
 };
Index: /code/branches/objecthierarchy/src/network/packet/Packet.cc
===================================================================
--- /code/branches/objecthierarchy/src/network/packet/Packet.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/packet/Packet.cc	(revision 2112)
@@ -46,5 +46,5 @@
 #include "core/CoreIncludes.h"
 
-namespace network{
+namespace orxonox{
 
 namespace packet{
@@ -153,5 +153,5 @@
 //  ENetPacket *temp = enetPacket_;
 //  enetPacket_ = 0; // otherwise we have a double free because enet already handles the deallocation of the packet
-  network::Host::addPacket( enetPacket_, clientID_);
+  Host::addPacket( enetPacket_, clientID_);
   return true;
 }
@@ -219,4 +219,4 @@
 } // namespace packet
 
-} // namespace network
-
+} // namespace orxonox
+
Index: /code/branches/objecthierarchy/src/network/packet/Packet.h
===================================================================
--- /code/branches/objecthierarchy/src/network/packet/Packet.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/packet/Packet.h	(revision 2112)
@@ -36,5 +36,5 @@
 #include "util/Integers.h"
 
-namespace network {
+namespace orxonox {
 
 namespace packet{
@@ -98,5 +98,5 @@
 } //namespace packet
 
-} //namespace network
+} //namespace orxonox
 
 #endif
Index: /code/branches/objecthierarchy/src/network/packet/Welcome.cc
===================================================================
--- /code/branches/objecthierarchy/src/network/packet/Welcome.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/packet/Welcome.cc	(revision 2112)
@@ -36,5 +36,5 @@
 #include <assert.h>
 
-namespace network {
+namespace orxonox {
 namespace packet {
 
@@ -70,5 +70,5 @@
 
 unsigned int Welcome::getSize() const{
-  return sizeof(network::packet::ENUM::Type) + 2*sizeof(uint32_t);
+  return sizeof(packet::ENUM::Type) + 2*sizeof(uint32_t);
 }
 
@@ -87,3 +87,3 @@
 
 } //namespace packet
-}//namespace network
+}//namespace orxonox
Index: /code/branches/objecthierarchy/src/network/packet/Welcome.h
===================================================================
--- /code/branches/objecthierarchy/src/network/packet/Welcome.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/network/packet/Welcome.h	(revision 2112)
@@ -33,5 +33,5 @@
 #include "Packet.h"
 
-namespace network {
+namespace orxonox {
 namespace packet {
 
@@ -54,5 +54,5 @@
 
 } //namespace packet
-} //namespace network
+} //namespace orxonox
 
 #endif
Index: /code/branches/objecthierarchy/src/orxonox/LevelManager.h
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/LevelManager.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/LevelManager.h	(revision 2112)
@@ -40,5 +40,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport LevelManager : public network::ClientConnectionListener
+    class _OrxonoxExport LevelManager : public ClientConnectionListener
     {
         public:
Index: /code/branches/objecthierarchy/src/orxonox/gamestates/GSClient.cc
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/gamestates/GSClient.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/gamestates/GSClient.cc	(revision 2112)
@@ -53,5 +53,5 @@
         Core::setIsClient(true);
 
-        this->client_ = new network::Client(CommandLine::getValue("ip").getString(), CommandLine::getValue("port"));
+        this->client_ = new Client(CommandLine::getValue("ip").getString(), CommandLine::getValue("port"));
 
         if(!client_->establishConnection())
Index: /code/branches/objecthierarchy/src/orxonox/gamestates/GSClient.h
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/gamestates/GSClient.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/gamestates/GSClient.h	(revision 2112)
@@ -49,5 +49,5 @@
         void ticked(const Clock& time);
 
-        network::Client* client_;
+        Client* client_;
     };
 }
Index: /code/branches/objecthierarchy/src/orxonox/gamestates/GSDedicated.cc
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/gamestates/GSDedicated.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/gamestates/GSDedicated.cc	(revision 2112)
@@ -50,5 +50,5 @@
         Core::setHasServer(true);
 
-        this->server_ = new network::Server(CommandLine::getValue("port"));
+        this->server_ = new Server(CommandLine::getValue("port"));
         COUT(0) << "Loading scene in server mode" << std::endl;
 
Index: /code/branches/objecthierarchy/src/orxonox/gamestates/GSDedicated.h
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/gamestates/GSDedicated.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/gamestates/GSDedicated.h	(revision 2112)
@@ -48,5 +48,5 @@
         void ticked(const Clock& time);
 
-        network::Server*      server_;
+        Server*      server_;
     };
 }
Index: /code/branches/objecthierarchy/src/orxonox/gamestates/GSServer.cc
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/gamestates/GSServer.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/gamestates/GSServer.cc	(revision 2112)
@@ -52,5 +52,5 @@
         Core::setHasServer(true);
 
-        this->server_ = new network::Server(CommandLine::getValue("port"));
+        this->server_ = new Server(CommandLine::getValue("port"));
         COUT(0) << "Loading scene in server mode" << std::endl;
 
Index: /code/branches/objecthierarchy/src/orxonox/gamestates/GSServer.h
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/gamestates/GSServer.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/gamestates/GSServer.h	(revision 2112)
@@ -48,5 +48,5 @@
         void ticked(const Clock& time);
 
-        network::Server*      server_;
+        Server*      server_;
     };
 }
Index: /code/branches/objecthierarchy/src/orxonox/objects/Scene.cc
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/Scene.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/objects/Scene.cc	(revision 2112)
@@ -43,5 +43,5 @@
     CreateFactory(Scene);
 
-    Scene::Scene(BaseObject* creator) : BaseObject(creator), network::Synchronisable(creator)
+    Scene::Scene(BaseObject* creator) : BaseObject(creator), Synchronisable(creator)
     {
         RegisterObject(Scene);
@@ -114,6 +114,6 @@
     void Scene::registerVariables()
     {
-        REGISTERSTRING(this->skybox_,     network::direction::toclient, new network::NetworkCallback<Scene>(this, &Scene::networkcallback_applySkybox));
-        REGISTERDATA(this->ambientLight_, network::direction::toclient, new network::NetworkCallback<Scene>(this, &Scene::networkcallback_applyAmbientLight));
+        REGISTERSTRING(this->skybox_,     direction::toclient, new NetworkCallback<Scene>(this, &Scene::networkcallback_applySkybox));
+        REGISTERDATA(this->ambientLight_, direction::toclient, new NetworkCallback<Scene>(this, &Scene::networkcallback_applyAmbientLight));
     }
 
Index: /code/branches/objecthierarchy/src/orxonox/objects/Scene.h
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/Scene.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/objects/Scene.h	(revision 2112)
@@ -38,5 +38,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport Scene : public BaseObject, public network::Synchronisable
+    class _OrxonoxExport Scene : public BaseObject, public Synchronisable
     {
         public:
Index: /code/branches/objecthierarchy/src/orxonox/objects/Test.cc
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/Test.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/objects/Test.cc	(revision 2112)
@@ -36,5 +36,5 @@
 	CreateFactory ( Test );
 
-	Test::Test(BaseObject* creator) : BaseObject(creator), network::Synchronisable(creator)
+	Test::Test(BaseObject* creator) : BaseObject(creator), Synchronisable(creator)
 	{
 		RegisterObject ( Test );
@@ -59,7 +59,7 @@
 	void Test::registerVariables()
 	{
-		REGISTERDATA ( v1,network::direction::toclient, new network::NetworkCallback<Test> ( this, &Test::checkV1 ) );
-                REGISTERDATA ( v2,network::direction::toserver, new network::NetworkCallback<Test> ( this, &Test::checkV2 ) );
-		REGISTERDATA ( v3,network::direction::bidirectional, new network::NetworkCallback<Test> ( this, &Test::checkV3 ) );
+		REGISTERDATA ( v1,direction::toclient, new NetworkCallback<Test> ( this, &Test::checkV1 ) );
+                REGISTERDATA ( v2,direction::toserver, new NetworkCallback<Test> ( this, &Test::checkV2 ) );
+		REGISTERDATA ( v3,direction::bidirectional, new NetworkCallback<Test> ( this, &Test::checkV3 ) );
 	}
 
Index: /code/branches/objecthierarchy/src/orxonox/objects/Test.h
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/Test.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/objects/Test.h	(revision 2112)
@@ -36,5 +36,5 @@
 namespace orxonox
 {
-  class _OrxonoxExport Test: public BaseObject, public network::Synchronisable
+  class _OrxonoxExport Test: public BaseObject, public Synchronisable
   {
     public:
Index: /code/branches/objecthierarchy/src/orxonox/objects/gametypes/Gametype.cc
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/gametypes/Gametype.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/objects/gametypes/Gametype.cc	(revision 2112)
@@ -92,5 +92,5 @@
         std::string message = player->getName() + " entered the game";
         COUT(0) << message << std::endl;
-        network::Host::Broadcast(message);
+        Host::Broadcast(message);
     }
 
@@ -104,5 +104,5 @@
             std::string message = player->getName() + " left the game";
             COUT(0) << message << std::endl;
-            network::Host::Broadcast(message);
+            Host::Broadcast(message);
         }
     }
@@ -124,5 +124,5 @@
                 std::string message = player->getOldName() + " changed name to " + player->getName();
                 COUT(0) << message << std::endl;
-                network::Host::Broadcast(message);
+                Host::Broadcast(message);
             }
         }
Index: /code/branches/objecthierarchy/src/orxonox/objects/infos/HumanPlayer.cc
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/infos/HumanPlayer.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/objects/infos/HumanPlayer.cc	(revision 2112)
@@ -67,9 +67,9 @@
     void HumanPlayer::registerVariables()
     {
-        REGISTERSTRING(this->synchronize_nick_, network::direction::toserver, new network::NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_changednick));
+        REGISTERSTRING(this->synchronize_nick_, direction::toserver, new NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_changednick));
 
-        REGISTERDATA(this->clientID_,     network::direction::toclient, new network::NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_clientIDchanged));
-        REGISTERDATA(this->server_ready_, network::direction::toclient, new network::NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_server_ready));
-        REGISTERDATA(this->client_ready_, network::direction::toserver, new network::NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_client_ready));
+        REGISTERDATA(this->clientID_,     direction::toclient, new NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_clientIDchanged));
+        REGISTERDATA(this->server_ready_, direction::toclient, new NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_server_ready));
+        REGISTERDATA(this->client_ready_, direction::toserver, new NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_client_ready));
     }
 
@@ -92,5 +92,5 @@
     void HumanPlayer::networkcallback_clientIDchanged()
     {
-        if (this->clientID_ == network::Host::getPlayerID())
+        if (this->clientID_ == Host::getPlayerID())
         {
             this->bLocalPlayer_ = true;
@@ -99,5 +99,5 @@
 
             if (!Core::isMaster())
-                this->setObjectMode(network::direction::bidirectional);
+                this->setObjectMode(direction::bidirectional);
             else
                 this->setName(this->nick_);
@@ -125,10 +125,10 @@
     float HumanPlayer::getPing() const
     {
-        return network::ClientInformation::findClient(this->getClientID())->getRTT();
+        return ClientInformation::findClient(this->getClientID())->getRTT();
     }
 
     float HumanPlayer::getPacketLossRatio() const
     {
-        return network::ClientInformation::findClient(this->getClientID())->getPacketLoss();
+        return ClientInformation::findClient(this->getClientID())->getPacketLoss();
     }
 
Index: /code/branches/objecthierarchy/src/orxonox/objects/infos/Info.cc
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/infos/Info.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/objects/infos/Info.cc	(revision 2112)
@@ -34,5 +34,5 @@
 namespace orxonox
 {
-    Info::Info(BaseObject* creator) : BaseObject(creator), network::Synchronisable(creator)
+    Info::Info(BaseObject* creator) : BaseObject(creator), Synchronisable(creator)
     {
         RegisterObject(Info);
Index: /code/branches/objecthierarchy/src/orxonox/objects/infos/Info.h
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/infos/Info.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/objects/infos/Info.h	(revision 2112)
@@ -37,5 +37,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport Info : public BaseObject, public network::Synchronisable
+    class _OrxonoxExport Info : public BaseObject, public Synchronisable
     {
         public:
Index: /code/branches/objecthierarchy/src/orxonox/objects/infos/Level.cc
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/infos/Level.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/objects/infos/Level.cc	(revision 2112)
@@ -81,7 +81,7 @@
     void Level::registerVariables()
     {
-        REGISTERSTRING(this->xmlfilename_, network::direction::toclient, new network::NetworkCallback<Level>(this, &Level::networkcallback_applyXMLFile));
-        REGISTERSTRING(this->name_,        network::direction::toclient, new network::NetworkCallback<Level>(this, &Level::changedName));
-        REGISTERSTRING(this->description_, network::direction::toclient);
+        REGISTERSTRING(this->xmlfilename_, direction::toclient, new NetworkCallback<Level>(this, &Level::networkcallback_applyXMLFile));
+        REGISTERSTRING(this->name_,        direction::toclient, new NetworkCallback<Level>(this, &Level::changedName));
+        REGISTERSTRING(this->description_, direction::toclient);
     }
 
Index: /code/branches/objecthierarchy/src/orxonox/objects/infos/PlayerInfo.cc
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/infos/PlayerInfo.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/objects/infos/PlayerInfo.cc	(revision 2112)
@@ -42,5 +42,5 @@
         RegisterObject(PlayerInfo);
 
-        this->clientID_ = network::CLIENTID_UNKNOWN;
+        this->clientID_ = CLIENTID_UNKNOWN;
         this->bHumanPlayer_ = false;
         this->bLocalPlayer_ = false;
@@ -48,5 +48,5 @@
         this->controller_ = 0;
         this->controllableEntity_ = 0;
-        this->controllableEntityID_ = network::CLIENTID_UNKNOWN;
+        this->controllableEntityID_ = CLIENTID_UNKNOWN;
 
         this->registerVariables();
@@ -69,7 +69,7 @@
     void PlayerInfo::registerVariables()
     {
-        REGISTERSTRING(this->name_,                 network::direction::toclient, new network::NetworkCallback<PlayerInfo>(this, &PlayerInfo::changedName));
-        REGISTERDATA  (this->controllableEntityID_, network::direction::toclient, new network::NetworkCallback<PlayerInfo>(this, &PlayerInfo::networkcallback_changedcontrollableentityID));
-        REGISTERDATA  (this->bReadyToSpawn_,        network::direction::toserver);
+        REGISTERSTRING(this->name_,                 direction::toclient, new NetworkCallback<PlayerInfo>(this, &PlayerInfo::changedName));
+        REGISTERDATA  (this->controllableEntityID_, direction::toclient, new NetworkCallback<PlayerInfo>(this, &PlayerInfo::networkcallback_changedcontrollableentityID));
+        REGISTERDATA  (this->bReadyToSpawn_,        direction::toserver);
     }
 
@@ -126,5 +126,5 @@
         else
         {
-            this->controllableEntityID_ = network::OBJECTID_UNKNOWN;
+            this->controllableEntityID_ = OBJECTID_UNKNOWN;
         }
 
@@ -138,5 +138,5 @@
         {
             this->controllableEntity_ = 0;
-            this->controllableEntityID_ = network::OBJECTID_UNKNOWN;
+            this->controllableEntityID_ = OBJECTID_UNKNOWN;
 
             if (this->controller_)
@@ -150,5 +150,5 @@
     void PlayerInfo::networkcallback_changedcontrollableentityID()
     {
-        if (this->controllableEntityID_ != network::OBJECTID_UNKNOWN)
+        if (this->controllableEntityID_ != OBJECTID_UNKNOWN)
         {
             Synchronisable* temp = Synchronisable::getSynchronisable(this->controllableEntityID_);
Index: /code/branches/objecthierarchy/src/orxonox/objects/worldentities/Billboard.cc
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/worldentities/Billboard.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/objects/worldentities/Billboard.cc	(revision 2112)
@@ -64,6 +64,6 @@
     void Billboard::registerVariables()
     {
-        REGISTERSTRING(this->material_, network::direction::toclient, new network::NetworkCallback<Billboard>(this, &Billboard::changedMaterial));
-        REGISTERDATA  (this->colour_,   network::direction::toclient, new network::NetworkCallback<Billboard>(this, &Billboard::changedColour));
+        REGISTERSTRING(this->material_, direction::toclient, new NetworkCallback<Billboard>(this, &Billboard::changedMaterial));
+        REGISTERDATA  (this->colour_,   direction::toclient, new NetworkCallback<Billboard>(this, &Billboard::changedColour));
     }
 
Index: /code/branches/objecthierarchy/src/orxonox/objects/worldentities/BlinkingBillboard.cc
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/worldentities/BlinkingBillboard.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/objects/worldentities/BlinkingBillboard.cc	(revision 2112)
@@ -68,7 +68,7 @@
     void BlinkingBillboard::registerVariables()
     {
-//        REGISTERDATA(this->amplitude_, network::direction::toclient);
-//        REGISTERDATA(this->frequency_, network::direction::toclient);
-//        REGISTERDATA(this->phase_,     network::direction::toclient);
+//        REGISTERDATA(this->amplitude_, direction::toclient);
+//        REGISTERDATA(this->frequency_, direction::toclient);
+//        REGISTERDATA(this->phase_,     direction::toclient);
     }
 
Index: /code/branches/objecthierarchy/src/orxonox/objects/worldentities/ControllableEntity.cc
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/worldentities/ControllableEntity.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/objects/worldentities/ControllableEntity.cc	(revision 2112)
@@ -52,5 +52,5 @@
         this->client_overwrite_ = 0;
         this->player_ = 0;
-        this->playerID_ = network::OBJECTID_UNKNOWN;
+        this->playerID_ = OBJECTID_UNKNOWN;
         this->hud_ = 0;
         this->camera_ = 0;
@@ -165,5 +165,5 @@
                 this->client_overwrite_ = this->server_overwrite_;
 COUT(0) << "CE: bidirectional synchronization" << std::endl;
-                this->setObjectMode(network::direction::bidirectional);
+                this->setObjectMode(direction::bidirectional);
             }
         }
@@ -176,7 +176,7 @@
 
         this->player_ = 0;
-        this->playerID_ = network::OBJECTID_UNKNOWN;
+        this->playerID_ = OBJECTID_UNKNOWN;
         this->bControlled_ = false;
-        this->setObjectMode(network::direction::toclient);
+        this->setObjectMode(direction::toclient);
 
         if (this->bDestroyWhenPlayerLeft_)
@@ -187,7 +187,7 @@
     {
         // just do this in case the entity wasn't yet synchronized when the corresponding PlayerInfo got our objectID
-        if (this->playerID_ != network::OBJECTID_UNKNOWN)
-        {
-            this->player_ = dynamic_cast<PlayerInfo*>(network::Synchronisable::getSynchronisable(this->playerID_));
+        if (this->playerID_ != OBJECTID_UNKNOWN)
+        {
+            this->player_ = dynamic_cast<PlayerInfo*>(Synchronisable::getSynchronisable(this->playerID_));
             if (this->player_ && (this->player_->getControllableEntity() != this))
                 this->player_->startControl(this);
@@ -248,19 +248,19 @@
     void ControllableEntity::registerVariables()
     {
-        REGISTERSTRING(this->cameraPositionTemplate_, network::direction::toclient);
-
-        REGISTERDATA(this->server_position_,    network::direction::toclient, new network::NetworkCallback<ControllableEntity>(this, &ControllableEntity::processServerPosition));
-        REGISTERDATA(this->server_velocity_,    network::direction::toclient, new network::NetworkCallback<ControllableEntity>(this, &ControllableEntity::processServerVelocity));
-        REGISTERDATA(this->server_orientation_, network::direction::toclient, new network::NetworkCallback<ControllableEntity>(this, &ControllableEntity::processServerOrientation));
-
-        REGISTERDATA(this->server_overwrite_,   network::direction::toclient, new network::NetworkCallback<ControllableEntity>(this, &ControllableEntity::processOverwrite));
-        REGISTERDATA(this->client_overwrite_,   network::direction::toserver);
-
-        REGISTERDATA(this->client_position_,    network::direction::toserver, new network::NetworkCallback<ControllableEntity>(this, &ControllableEntity::processClientPosition));
-        REGISTERDATA(this->client_velocity_,    network::direction::toserver, new network::NetworkCallback<ControllableEntity>(this, &ControllableEntity::processClientVelocity));
-        REGISTERDATA(this->client_orientation_, network::direction::toserver, new network::NetworkCallback<ControllableEntity>(this, &ControllableEntity::processClientOrientation));
-
-
-        REGISTERDATA(this->playerID_, network::direction::toclient, new network::NetworkCallback<ControllableEntity>(this, &ControllableEntity::networkcallback_changedplayerID));
+        REGISTERSTRING(this->cameraPositionTemplate_, direction::toclient);
+
+        REGISTERDATA(this->server_position_,    direction::toclient, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processServerPosition));
+        REGISTERDATA(this->server_velocity_,    direction::toclient, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processServerVelocity));
+        REGISTERDATA(this->server_orientation_, direction::toclient, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processServerOrientation));
+
+        REGISTERDATA(this->server_overwrite_,   direction::toclient, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processOverwrite));
+        REGISTERDATA(this->client_overwrite_,   direction::toserver);
+
+        REGISTERDATA(this->client_position_,    direction::toserver, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processClientPosition));
+        REGISTERDATA(this->client_velocity_,    direction::toserver, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processClientVelocity));
+        REGISTERDATA(this->client_orientation_, direction::toserver, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processClientOrientation));
+
+
+        REGISTERDATA(this->playerID_, direction::toclient, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::networkcallback_changedplayerID));
     }
 
Index: /code/branches/objecthierarchy/src/orxonox/objects/worldentities/Light.cc
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/worldentities/Light.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/objects/worldentities/Light.cc	(revision 2112)
@@ -79,8 +79,8 @@
     void Light::registerVariables()
     {
-        REGISTERDATA(this->type_, network::direction::toclient, new network::NetworkCallback<Light>(this, &Light::changedType));
-        REGISTERDATA(this->light_->getDiffuseColour(), network::direction::toclient);
-        REGISTERDATA(this->light_->getSpecularColour(), network::direction::toclient);
-        REGISTERDATA(this->light_->getDirection(), network::direction::toclient);
+        REGISTERDATA(this->type_, direction::toclient, new NetworkCallback<Light>(this, &Light::changedType));
+        REGISTERDATA(this->light_->getDiffuseColour(), direction::toclient);
+        REGISTERDATA(this->light_->getSpecularColour(), direction::toclient);
+        REGISTERDATA(this->light_->getDirection(), direction::toclient);
     }
 
Index: /code/branches/objecthierarchy/src/orxonox/objects/worldentities/Model.cc
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/worldentities/Model.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/objects/worldentities/Model.cc	(revision 2112)
@@ -61,6 +61,6 @@
     void Model::registerVariables()
     {
-        REGISTERSTRING(this->meshSrc_,    network::direction::toclient, new network::NetworkCallback<Model>(this, &Model::changedMesh));
-        REGISTERDATA(this->bCastShadows_, network::direction::toclient, new network::NetworkCallback<Model>(this, &Model::changedShadows));
+        REGISTERSTRING(this->meshSrc_,    direction::toclient, new NetworkCallback<Model>(this, &Model::changedMesh));
+        REGISTERDATA(this->bCastShadows_, direction::toclient, new NetworkCallback<Model>(this, &Model::changedShadows));
     }
 
Index: /code/branches/objecthierarchy/src/orxonox/objects/worldentities/MovableEntity.cc
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/worldentities/MovableEntity.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/objects/worldentities/MovableEntity.cc	(revision 2112)
@@ -84,16 +84,16 @@
     void MovableEntity::registerVariables()
     {
-        REGISTERDATA(this->velocity_.x, network::direction::toclient);
-        REGISTERDATA(this->velocity_.y, network::direction::toclient);
-        REGISTERDATA(this->velocity_.z, network::direction::toclient);
+        REGISTERDATA(this->velocity_.x, direction::toclient);
+        REGISTERDATA(this->velocity_.y, direction::toclient);
+        REGISTERDATA(this->velocity_.z, direction::toclient);
 
-        REGISTERDATA(this->rotationAxis_.x, network::direction::toclient);
-        REGISTERDATA(this->rotationAxis_.y, network::direction::toclient);
-        REGISTERDATA(this->rotationAxis_.z, network::direction::toclient);
+        REGISTERDATA(this->rotationAxis_.x, direction::toclient);
+        REGISTERDATA(this->rotationAxis_.y, direction::toclient);
+        REGISTERDATA(this->rotationAxis_.z, direction::toclient);
 
-        REGISTERDATA(this->rotationRate_, network::direction::toclient);
+        REGISTERDATA(this->rotationRate_, direction::toclient);
 
-        REGISTERDATA(this->overwrite_position_,    network::direction::toclient, new network::NetworkCallback<MovableEntity>(this, &MovableEntity::overwritePosition));
-        REGISTERDATA(this->overwrite_orientation_, network::direction::toclient, new network::NetworkCallback<MovableEntity>(this, &MovableEntity::overwriteOrientation));
+        REGISTERDATA(this->overwrite_position_,    direction::toclient, new NetworkCallback<MovableEntity>(this, &MovableEntity::overwritePosition));
+        REGISTERDATA(this->overwrite_orientation_, direction::toclient, new NetworkCallback<MovableEntity>(this, &MovableEntity::overwriteOrientation));
     }
 
Index: /code/branches/objecthierarchy/src/orxonox/objects/worldentities/MovableEntity.h
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/worldentities/MovableEntity.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/objects/worldentities/MovableEntity.h	(revision 2112)
@@ -38,5 +38,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport MovableEntity : public WorldEntity, public Tickable, public network::ClientConnectionListener
+    class _OrxonoxExport MovableEntity : public WorldEntity, public Tickable, public ClientConnectionListener
     {
         public:
Index: /code/branches/objecthierarchy/src/orxonox/objects/worldentities/ParticleEmitter.cc
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/worldentities/ParticleEmitter.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/objects/worldentities/ParticleEmitter.cc	(revision 2112)
@@ -74,6 +74,6 @@
     void ParticleEmitter::registerVariables()
     {
-        REGISTERSTRING(this->source_, network::direction::toclient, new network::NetworkCallback<ParticleEmitter>(this, &ParticleEmitter::sourceChanged));
-        REGISTERDATA  (this->LOD_,    network::direction::toclient, new network::NetworkCallback<ParticleEmitter>(this, &ParticleEmitter::LODchanged));
+        REGISTERSTRING(this->source_, direction::toclient, new NetworkCallback<ParticleEmitter>(this, &ParticleEmitter::sourceChanged));
+        REGISTERDATA  (this->LOD_,    direction::toclient, new NetworkCallback<ParticleEmitter>(this, &ParticleEmitter::LODchanged));
     }
 
Index: /code/branches/objecthierarchy/src/orxonox/objects/worldentities/PositionableEntity.cc
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/worldentities/PositionableEntity.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/objects/worldentities/PositionableEntity.cc	(revision 2112)
@@ -48,12 +48,12 @@
     void PositionableEntity::registerVariables()
     {
-        REGISTERDATA(this->getPosition().x, network::direction::toclient);
-        REGISTERDATA(this->getPosition().y, network::direction::toclient);
-        REGISTERDATA(this->getPosition().z, network::direction::toclient);
+        REGISTERDATA(this->getPosition().x, direction::toclient);
+        REGISTERDATA(this->getPosition().y, direction::toclient);
+        REGISTERDATA(this->getPosition().z, direction::toclient);
 
-        REGISTERDATA(this->getOrientation().w, network::direction::toclient);
-        REGISTERDATA(this->getOrientation().x, network::direction::toclient);
-        REGISTERDATA(this->getOrientation().y, network::direction::toclient);
-        REGISTERDATA(this->getOrientation().z, network::direction::toclient);
+        REGISTERDATA(this->getOrientation().w, direction::toclient);
+        REGISTERDATA(this->getOrientation().x, direction::toclient);
+        REGISTERDATA(this->getOrientation().y, direction::toclient);
+        REGISTERDATA(this->getOrientation().z, direction::toclient);
     }
 }
Index: /code/branches/objecthierarchy/src/orxonox/objects/worldentities/WorldEntity.cc
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/worldentities/WorldEntity.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/objects/worldentities/WorldEntity.cc	(revision 2112)
@@ -48,5 +48,5 @@
     const Vector3 WorldEntity::UP    = Vector3::UNIT_Y;
 
-    WorldEntity::WorldEntity(BaseObject* creator) : BaseObject(creator), network::Synchronisable(creator)
+    WorldEntity::WorldEntity(BaseObject* creator) : BaseObject(creator), Synchronisable(creator)
     {
         RegisterObject(WorldEntity);
@@ -95,12 +95,12 @@
     void WorldEntity::registerVariables()
     {
-        REGISTERDATA(this->bActive_,  network::direction::toclient, new network::NetworkCallback<WorldEntity>(this, &WorldEntity::changedActivity));
-        REGISTERDATA(this->bVisible_, network::direction::toclient, new network::NetworkCallback<WorldEntity>(this, &WorldEntity::changedVisibility));
+        REGISTERDATA(this->bActive_,  direction::toclient, new NetworkCallback<WorldEntity>(this, &WorldEntity::changedActivity));
+        REGISTERDATA(this->bVisible_, direction::toclient, new NetworkCallback<WorldEntity>(this, &WorldEntity::changedVisibility));
 
-        REGISTERDATA(this->getScale3D().x, network::direction::toclient);
-        REGISTERDATA(this->getScale3D().y, network::direction::toclient);
-        REGISTERDATA(this->getScale3D().z, network::direction::toclient);
+        REGISTERDATA(this->getScale3D().x, direction::toclient);
+        REGISTERDATA(this->getScale3D().y, direction::toclient);
+        REGISTERDATA(this->getScale3D().z, direction::toclient);
 
-        REGISTERDATA(this->parentID_, network::direction::toclient, new network::NetworkCallback<WorldEntity>(this, &WorldEntity::updateParent));
+        REGISTERDATA(this->parentID_, direction::toclient, new NetworkCallback<WorldEntity>(this, &WorldEntity::updateParent));
     }
 
Index: /code/branches/objecthierarchy/src/orxonox/objects/worldentities/WorldEntity.h
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/worldentities/WorldEntity.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/objects/worldentities/WorldEntity.h	(revision 2112)
@@ -42,5 +42,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport WorldEntity : public BaseObject, public network::Synchronisable
+    class _OrxonoxExport WorldEntity : public BaseObject, public Synchronisable
     {
         public:
Index: /code/branches/objecthierarchy/src/orxonox/objects/worldentities/pawns/Pawn.cc
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/worldentities/pawns/Pawn.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/objects/worldentities/pawns/Pawn.cc	(revision 2112)
@@ -70,6 +70,6 @@
     void Pawn::registerVariables()
     {
-        REGISTERDATA(this->bAlive_, network::direction::toclient);
-        REGISTERDATA(this->health_, network::direction::toclient);
+        REGISTERDATA(this->bAlive_, direction::toclient);
+        REGISTERDATA(this->health_, direction::toclient);
     }
 
Index: /code/branches/objecthierarchy/src/orxonox/objects/worldentities/pawns/SpaceShip.cc
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/worldentities/pawns/SpaceShip.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/objects/worldentities/pawns/SpaceShip.cc	(revision 2112)
@@ -82,10 +82,10 @@
     void SpaceShip::registerVariables()
     {
-        REGISTERDATA(this->maxSpeed_,                network::direction::toclient);
-        REGISTERDATA(this->maxSecondarySpeed_,       network::direction::toclient);
-        REGISTERDATA(this->maxRotation_,             network::direction::toclient);
-        REGISTERDATA(this->translationAcceleration_, network::direction::toclient);
-        REGISTERDATA(this->rotationAcceleration_,    network::direction::toclient);
-        REGISTERDATA(this->translationDamping_,      network::direction::toclient);
+        REGISTERDATA(this->maxSpeed_,                direction::toclient);
+        REGISTERDATA(this->maxSecondarySpeed_,       direction::toclient);
+        REGISTERDATA(this->maxRotation_,             direction::toclient);
+        REGISTERDATA(this->translationAcceleration_, direction::toclient);
+        REGISTERDATA(this->rotationAcceleration_,    direction::toclient);
+        REGISTERDATA(this->translationDamping_,      direction::toclient);
     }
 
Index: /code/branches/objecthierarchy/src/orxonox/objects/worldentities/pawns/Spectator.cc
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/worldentities/pawns/Spectator.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/objects/worldentities/pawns/Spectator.cc	(revision 2112)
@@ -84,7 +84,7 @@
     void Spectator::registerVariables()
     {
-        REGISTERDATA(this->bGreetingFlareVisible_, network::direction::toclient, new network::NetworkCallback<Spectator>(this, &Spectator::changedFlareVisibility));
-        REGISTERDATA(this->bGreeting_,             network::direction::toserver, new network::NetworkCallback<Spectator>(this, &Spectator::changedGreeting));
-        REGISTERDATA(this->hudmode_,               network::direction::toclient);
+        REGISTERDATA(this->bGreetingFlareVisible_, direction::toclient, new NetworkCallback<Spectator>(this, &Spectator::changedFlareVisibility));
+        REGISTERDATA(this->bGreeting_,             direction::toserver, new NetworkCallback<Spectator>(this, &Spectator::changedGreeting));
+        REGISTERDATA(this->hudmode_,               direction::toclient);
     }
 
@@ -129,5 +129,5 @@
         ControllableEntity::setPlayer(player);
 
-//        this->setObjectMode(network::direction::toclient);
+//        this->setObjectMode(direction::toclient);
     }
 
Index: /code/branches/objecthierarchy/src/orxonox/overlays/hud/ChatOverlay.cc
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/overlays/hud/ChatOverlay.cc	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/overlays/hud/ChatOverlay.cc	(revision 2112)
@@ -72,5 +72,5 @@
         std::string text;
 
-        if (senderID != network::CLIENTID_UNKNOWN)
+        if (senderID != CLIENTID_UNKNOWN)
         {
             std::string name = "unknown";
Index: /code/branches/objecthierarchy/src/orxonox/overlays/hud/ChatOverlay.h
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/overlays/hud/ChatOverlay.h	(revision 2111)
+++ /code/branches/objecthierarchy/src/orxonox/overlays/hud/ChatOverlay.h	(revision 2112)
@@ -39,5 +39,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport ChatOverlay : public OverlayText, public network::ChatListener
+    class _OrxonoxExport ChatOverlay : public OverlayText, public ChatListener
     {
         public:
